%define __libtoolize :
%define momorel 4

Summary: flac - Free Lossless Audio Codec
Name:    flac
Version: 1.1.0
Release: %{momorel}m
Group:   Applications/Multimedia
License: GPL and LGPL and GFDL
URL:     http://flac.sourceforge.net/
Source0: http://telia.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: libogg
BuildRequires: nasm

%description
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless. The FLAC project consists of:

    * the stream format
    * reference encoders and decoders in library form
    * flac, a command-line program to encode and decode FLAC files
    * metaflac, a command-line metadata editor for FLAC files
    * input plugins for various music players

 "Free" means that the specification of the stream format is fully open to the
 public to be used for any purpose (the FLAC project reserves the right to set
 the FLAC specification and certify compliance), and that neither the FLAC form
 at nor any of the implemented encoding/decoding methods are covered by any 
 known patent. It also means that all the source code is available under
 open-source licenses.

%package devel
Summary: flac Development
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The flac-devel package contains the header files and documentation
needed to develop applications with flac.

%package -n xmms-flac
Summary: flac input plugin for xmms
Group: Applications/Multimedia
Requires: xmms, %{name}, id3lib
BuildRequires: xmms-devel, id3lib-devel

%description -n xmms-flac
flac plugin.

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}

(export docdir=`pwd`/DOCS; cd doc; make install docdir=$docdir)
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING.* README DOCS/*
%{_mandir}/man1/flac.1.bz2
%{_mandir}/man1/metaflac.1.bz2
%{_libdir}/lib*.so.*
%{_bindir}/flac
%{_bindir}/metaflac

%files devel
%defattr(-,root,root)
%dir %{_includedir}/FLAC
%{_includedir}/FLAC/*.h
%dir %{_includedir}/FLAC++
%{_includedir}/FLAC++/*.h
%dir %{_includedir}/OggFLAC
%{_includedir}/OggFLAC/*.h
%dir %{_includedir}/OggFLAC++
%{_includedir}/OggFLAC++/*.h
%{_libdir}/lib*.*a
%{_libdir}/lib*.so
%{_datadir}/aclocal/*

%files -n xmms-flac
%defattr(-,root,root)
/usr/X11R6/lib/xmms/Input/libxmms-flac.so
/usr/X11R6/lib/xmms/Input/libxmms-flac.la

%ChangeLog
* Wed May 26 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.1.0-4m)
- rebuild against id3lib 3.8.3.

* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (1.1.0-3m)
- revised spec for enabling rpm 4.2.

* Sat Oct 18 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.1.0-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sun Feb 23 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.1.0-1m)
  Imported.
